aboutsummaryrefslogtreecommitdiffstats
path: root/aai-traversal
diff options
context:
space:
mode:
authorKajur, Harish (vk250x) <vk250x@att.com>2018-03-29 00:48:42 -0400
committerKajur, Harish (vk250x) <vk250x@att.com>2018-03-29 01:00:40 -0400
commit4b87b6d7bfe6b7a6e9ed97af6c91c8fe4933e48e (patch)
tree3f50fcaa3baade6663684811f2e1d1510437a6de /aai-traversal
parentace5a672fb566d8f30c1cfff95c96eb1dc5fdc1f (diff)
Update docker entrypoint to run independent
Issue-ID: AAI-949 Change-Id: I014e852a518e78c49869c7f71e18a84c853a2b89 Signed-off-by: Kajur, Harish (vk250x) <vk250x@att.com>
Diffstat (limited to 'aai-traversal')
-rw-r--r--aai-traversal/src/main/docker/Dockerfile1
-rw-r--r--aai-traversal/src/main/docker/docker-entrypoint.sh18
2 files changed, 18 insertions, 1 deletions
diff --git a/aai-traversal/src/main/docker/Dockerfile b/aai-traversal/src/main/docker/Dockerfile
index 3e4cd77..3d25170 100644
--- a/aai-traversal/src/main/docker/Dockerfile
+++ b/aai-traversal/src/main/docker/Dockerfile
@@ -8,7 +8,6 @@ WORKDIR /opt/app/aai-traversal
# 8446 is the important one to be used
EXPOSE 8446
-
HEALTHCHECK --interval=40s --timeout=10s --retries=3 CMD nc -z -v localhost 8446 || exit 1
ENTRYPOINT ["/bin/bash", "/opt/app/aai-traversal/docker-entrypoint.sh"]
diff --git a/aai-traversal/src/main/docker/docker-entrypoint.sh b/aai-traversal/src/main/docker/docker-entrypoint.sh
index 8e52f0b..ea5ac6b 100644
--- a/aai-traversal/src/main/docker/docker-entrypoint.sh
+++ b/aai-traversal/src/main/docker/docker-entrypoint.sh
@@ -56,6 +56,24 @@ if [ -f ${APP_HOME}/aai.sh ]; then
mv ${APP_HOME}/aai.sh /etc/profile.d/aai.sh
chmod 755 /etc/profile.d/aai.sh
+
+ scriptName=$1;
+
+ if [ ! -z $scriptName ]; then
+
+ if [ -f ${APP_HOME}/bin/${scriptName} ]; then
+ shift 1;
+ gosu aaiadmin ${APP_HOME}/bin/${scriptName} "$@" || {
+ echo "Failed to run the ${scriptName}";
+ exit 1;
+ }
+ else
+ echo "Unable to find the script ${scriptName} in ${APP_HOME}/bin";
+ exit 1;
+ fi;
+
+ exit 0;
+ fi;
fi;
if [ -z ${DISABLE_UPDATE_QUERY} ]; then
bb; font-weight: bold } /* Name.Function.Magic */ .highlight .vc { color: #336699 } /* Name.Variable.Class */ .highlight .vg { color: #dd7700 } /* Name.Variable.Global */ .highlight .vi { color: #3333bb } /* Name.Variable.Instance */ .highlight .vm { color: #336699 } /* Name.Variable.Magic */ .highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.onap.ccsdk.parent</groupId>
		<artifactId>odlparent-lite</artifactId>
		<version>1.1.3-SNAPSHOT</version>
	</parent>

	<groupId>org.onap.sdnc.oam</groupId>
	<artifactId>sdnc-oam</artifactId>
	<version>1.4.3-SNAPSHOT</version>
	<packaging>pom</packaging>

	<name>sdnc-oam</name>
	<description>The SDN-C OAM component contains the components needed to operate, administer and maintain the SDN-C platform.</description>
	<url>https://wiki.onap.org</url>
	<organization>
		<name>AT&amp;T</name>
	</organization>

	<modules>
		<module>admportal</module>
		<module>platform-logic</module>
		<module>configbackuprestore</module>
                <module>SdncReports</module>
	</modules>

	<scm>
                <connection>scm:git:ssh://git@${onap.git.host}/sdnc-oam.git</connection>
                <developerConnection>scm:git:ssh://${onap.git.host}:${onap.git.port}/${onap.git.project}/sdnc-oam.git</developerConnection>
                <url>${onap.git.protocol}://${onap.git.host}/projects/${onap.git.project}/repos/sdnc-oam/browse</url>
    		<tag>HEAD</tag>
 	</scm>
	<issueManagement>
		<system>JIRA</system>
		<url>https://jira.onap.org/</url>
	</issueManagement>
	<ciManagement>
		<system>Jenkins</system>
		<url>https://jenkins.onap.org/</url>
	</ciManagement>
	<distributionManagement>
        <site>
          <id>sdnc-javadoc</id>
          <url>dav:https://${onap.nexus.host}:${onap.nexus.port}/repository/sdn-c-javadoc/${project.artifactId}/${project.version}</url>
        </site>
    </distributionManagement>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<version>2.17</version>
				<configuration>
					<skipTests>false</skipTests>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.sonatype.plugins</groupId>
				<artifactId>nexus-staging-maven-plugin</artifactId>
				<version>1.6.7</version>
				<extensions>true</extensions>
				<configuration>
					<nexusUrl>https://${onap.nexus.host}</nexusUrl>
					<stagingProfileId>${onap.nexus.staging.profile-id}</stagingProfileId>
					<serverId>${onap.nexus.staging.server-id}</serverId>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<profiles>
		<profile>
			<id>blackduck</id>
			<activation>
				<property>
					<name>blackduck-scan</name>
				</property>
			</activation>
			<build>
					<plugins>
						<plugin>
							<groupId>com.blackducksoftware.integration</groupId>
							<artifactId>hub-maven-plugin</artifactId>
							<version>1.4.0</version>
							<inherited>false</inherited>
							<configuration>
								<hubProjectName>${project.name}</hubProjectName>
								<outputDirectory>${project.basedir}</outputDirectory>
							</configuration>
							<executions>
								<execution>
									<id>create-bdio-file</id>
									<phase>package</phase>
									<goals>
										<goal>createHubOutput</goal>
									</goals>
								</execution>
							</executions>
						</plugin>
					</plugins>


			</build>

		</profile>
	        <profile>
		  <id>docker</id>
		  <modules>
			<module>installation</module>
		  </modules>
	        </profile>

	</profiles>
</project>